Results 1 to 10 of 11

Thread: sqlite3 failed to install on ubuntu 11.04 and cent os 5.5

Hybrid View

  1. #1
    Join Date
    Apr 2012
    Posts
    2

    Default sqlite3 failed to install on ubuntu 11.04 and cent os 5.5

    sqlite3 fails to install while running phoronix-test-suite benchmark pts/disk on both cent os 5.5 and ubuntu 11.10.

    It fails with the following error.

    "3.7.3\" "-DPACKAGE_STRING=\"sqlite 3.7.3\"" -DPACKAGE_BUGREPORT=\"http://www.sqlite.org\" -DPACKAGE=\"sqlite\" -DVERSION=\"3.7.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_FDATASYNC=1 -DHAVE_USLEEP=1 -DHAVE_LOCALTIME_R=1 -DHAVE_GMTIME_R=1 -DHAVE_READLINE=1 -I. -I. -DSQLITE_THREADSAFE=1 -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE -g -O2 -MT sqlite3.lo -MD -MP -MF .deps/sqlite3.Tpo -c sqlite3.c -fPIC -DPIC -o .libs/sqlite3.o
    gcc: 3.7.3": No such file or directory
    make: *** [sqlite3.lo] Error 1


    The funny thing is that if I copy install.sh from test-profiles/sqlite-1.8.0/ to installed-tests/pts/sqlite-1.8.0/ and run it, it compiles fine, however when I try to install the test via
    phoronix-test-suite install pts/sqlite-1.8.0, it fails with the error above. Is it related to the script below?

    #!/bin/sh

    tar -zxvf pts-sqlite-tests-1.tar.gz
    tar -zxvf sqlite-amalgamation-3.7.3.tar.gz

    mkdir sqlite_/

    cd sqlite-3.7.3/
    ./configure --prefix=sqlite_/
    make
    echo $? > ~/install-exit-status
    make install
    cd ..
    rm -rf sqlite-3.7.3/
    rm -rf sqlite_/lib/

    echo "#!/bin/sh

    Moussa

  2. #2
    Join Date
    Apr 2012
    Posts
    2

    Default

    Anybody experienced this?

  3. #3
    Join Date
    May 2012
    Location
    Novosibirsk, Russia
    Posts
    11

    Default

    Confirming something similar happening in CentOS 6.2.

    Code:
    gcc -DPACKAGE_NAME=\"sqlite\" -DPACKAGE_TARNAME=\"sqlite\" -DPACKAGE_VERSION=\"3.7.3\" "-DPACKAGE_STRING=\"sqlite 3.7.3\"" -DPACKAGE_BUGREPORT=\"http://www.sqlite.org\" -DPACKAGE=\"sqlite\" -DVERSION=\"3.7.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_FDATASYNC=1 -DHAVE_USLEEP=1 -DHAVE_LOCALTIME_R=1 -DHAVE_GMTIME_R=1 -I. -I. -DSQLITE_THREADSAFE=1 -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE -g -O2 -MT sqlite3.lo -MD -MP -MF .deps/sqlite3.Tpo -c sqlite3.c  -fPIC -DPIC -o .libs/sqlite3.o
    gcc: 3.7.3": No such file or directory
    <command-line>: warning: missing terminating " character

  4. #4
    Join Date
    Oct 2011
    Location
    Toruń, Poland
    Posts
    160

    Default

    Quote Originally Posted by fulatoro View Post
    sqlite3 fails to install while running phoronix-test-suite benchmark pts/disk on both cent os 5.5 and ubuntu 11.10.

    It fails with the following error.

    "3.7.3\" "-DPACKAGE_STRING=\"sqlite 3.7.3\"" -DPACKAGE_BUGREPORT=\"http://www.sqlite.org\" -DPACKAGE=\"sqlite\" -DVERSION=\"3.7.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_FDATASYNC=1 -DHAVE_USLEEP=1 -DHAVE_LOCALTIME_R=1 -DHAVE_GMTIME_R=1 -DHAVE_READLINE=1 -I. -I. -DSQLITE_THREADSAFE=1 -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE -g -O2 -MT sqlite3.lo -MD -MP -MF .deps/sqlite3.Tpo -c sqlite3.c -fPIC -DPIC -o .libs/sqlite3.o
    gcc: 3.7.3": No such file or directory
    make: *** [sqlite3.lo] Error 1


    The funny thing is that if I copy install.sh from test-profiles/sqlite-1.8.0/ to installed-tests/pts/sqlite-1.8.0/ and run it, it compiles fine, however when I try to install the test via
    phoronix-test-suite install pts/sqlite-1.8.0, it fails with the error above. Is it related to the script below?

    #!/bin/sh

    tar -zxvf pts-sqlite-tests-1.tar.gz
    tar -zxvf sqlite-amalgamation-3.7.3.tar.gz

    mkdir sqlite_/

    cd sqlite-3.7.3/
    ./configure --prefix=sqlite_/
    make
    echo $? > ~/install-exit-status
    make install
    cd ..
    rm -rf sqlite-3.7.3/
    rm -rf sqlite_/lib/

    echo "#!/bin/sh

    Moussa
    Looks like a typo in the source code.
    gcc: 3.7.3": No such file or directory
    note the quote mark by gcc version - I believe it shouldn't be there.

  5. #5
    Join Date
    May 2012
    Location
    Novosibirsk, Russia
    Posts
    11

    Default

    Quote Originally Posted by Hirager View Post
    Looks like a typo in the source code. note the quote mark by gcc version - I believe it shouldn't be there.
    Looks rather like a typo in makefile. The problem is no makefile is left when compilation aborts, and I see no simple obvious ways to handle this problem.

    Is it possible to build the required SQLite manually, so that phoronix could find and run the executable?

  6. #6
    Join Date
    Jun 2012
    Posts
    1

    Default

    I'm having the exact same issue and was wondering if this thread was ever resolved? Has anyone been able to get sqlite installation to work?

    I'm currently running Debian 6.04 64bit (but also tried 32bit with the same error).

  7. #7
    Join Date
    Apr 2011
    Posts
    5

    Default

    Seeing the same issue with 12.04 ,


    then mv -f ".deps/sqlite3.Tpo" ".deps/sqlite3.Plo"; else rm -f ".deps/sqlite3.Tpo"; exit 1; fi
    gcc -DPACKAGE_NAME=\"sqlite\" -DPACKAGE_TARNAME=\"sqlite\" -DPACKAGE_VERSION=\"3.7.3\" "-DPACKAGE_STRING=\"sqlite 3.7.3\"" -DPACKAGE_BUGREPORT=\"http://www.sqlite.org\" -DPACKAGE=\"sqlite\" -DVERSION=\"3.7.3\" -D_FILE_OFFSET_BITS=64 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_FDATASYNC=1 -DHAVE_USLEEP=1 -DHAVE_LOCALTIME_R=1 -DHAVE_GMTIME_R=1 -I. -I. -DSQLITE_THREADSAFE=1 -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE -g -O2 -MT sqlite3.lo -MD -MP -MF .deps/sqlite3.Tpo -c sqlite3.c -fPIC -DPIC -o .libs/sqlite3.o
    gcc: error: 3.7.3": No such file or directory
    make: *** [sqlite3.lo] Error 1
    currently copied the install.sh

    ~/.phoronix-test-suite/test-profiles/pts/sqlite-1.8.0$ cp install.sh ~/.phoronix-test-suite/installed-tests/pts/sqlite-1.8.0/

    and running install.sh inside ~/.phoronix-test-suite/installed-tests/pts/sqlite-1.8.0/ here the install works , but PTS framework still doesnt recognize SQLite as installed

  8. #8
    Join Date
    Apr 2011
    Posts
    5

    Default

    I see other similar failures like the below gcc: error: 4.41.0": No such file or directory

    gcc -DPACKAGE_NAME=\"wavpack\" -DPACKAGE_TARNAME=\"wavpack\" -DPACKAGE_VERSION=\"4.41.0\" "-DPACKAGE_STRING=\"wavpack 4.41.0\"" -DPACKAGE_BUGREPORT=\"bryant@wavpack.com\" -DLIBWAVPACK_MAJOR=4 -DLIBWAVPACK_MINOR=41 -DLIBWAVPACK_MICRO=0 -DLIBWAVPACK_VERSION_STRING=\"4.41.0\" -DVERSION_OS=\"Linux\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBM=1 -I. -I. -g -O2 -MT libwavpack_la-wputils.lo -MD -MP -MF .deps/libwavpack_la-wputils.Tpo -c wputils.c -fPIC -DPIC -o .libs/libwavpack_la-wputils.o
    gcc: error: 4.41.0": No such file or directory
    make[1]: *** [libwavpack_la-wputils.lo] Error 1
    And if I manually copy the install.sh and run it , it compiles fine .

    The below tests are the ones I am having issues with installing

    - pts/encode-wavpack-1.2.0
    - pts/espeak-1.3.0
    - pts/juliagpu-1.2.0
    - pts/lammps-1.0.0
    - pts/mandelbulbgpu-1.2.0
    - pts/mandelgpu-1.2.0
    - pts/qgears2-1.0.1
    - pts/qvdpautest-1.0.0
    - pts/scimark2-1.1.1
    - pts/smallpt-gpu-1.2.0
    - pts/sqlite-1.8.0
    - pts/systester-1.0.0
    - pts/ttsiod-renderer-1.3.0

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •